package MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint;

use strict;

use warnings;

use Class::Std::Fast::Storable;

use Scalar::Util qw(blessed);

use base qw(SOAP::WSDL::Client::Base);



# only load if it hasn't been loaded before

require MyTypemaps::GenericConnectorService

    if not MyTypemaps::GenericConnectorService->can('get_class');



sub START {

    $_[0]->set_proxy('http://ssa-ken-r2-en01:7090/axis2/services/GenericConnectorService.GenericConnectorServiceHttpSoap11Endpoint/') if not $_[2]->{proxy};

    $_[0]->set_class_resolver('MyTypemaps::GenericConnectorService')

        if not $_[2]->{class_resolver};



    $_[0]->set_prefix($_[2]->{use_prefix}) if exists $_[2]->{use_prefix};

}



sub addEvents {

    my ($self, $body, $header) = @_;

    die "addEvents must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'addEvents',

        soap_action => 'urn:addEvents',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::addEvents )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub getServiceRelationships {

    my ($self, $body, $header) = @_;

    die "getServiceRelationships must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'getServiceRelationships',

        soap_action => 'urn:getServiceRelationships',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw(  )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub getCIEvents {

    my ($self, $body, $header) = @_;

    die "getCIEvents must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'getCIEvents',

        soap_action => 'urn:getCIEvents',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw(  )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub addServiceRelationships {

    my ($self, $body, $header) = @_;

    die "addServiceRelationships must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'addServiceRelationships',

        soap_action => 'urn:addServiceRelationships',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::addServiceRelationships )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub getServiceCIs {

    my ($self, $body, $header) = @_;

    die "getServiceCIs must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'getServiceCIs',

        soap_action => 'urn:getServiceCIs',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw(  )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub addCIs {

    my ($self, $body, $header) = @_;

    die "addCIs must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'addCIs',

        soap_action => 'urn:addCIs',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::addCIs )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub addServiceCIs {

    my ($self, $body, $header) = @_;

    die "addServiceCIs must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'addServiceCIs',

        soap_action => 'urn:addServiceCIs',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::addServiceCIs )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub deleteCIs {

    my ($self, $body, $header) = @_;

    die "deleteCIs must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'deleteCIs',

        soap_action => 'urn:deleteCIs',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::deleteCIs )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub getServices {

    my ($self, $body, $header) = @_;

    die "getServices must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'getServices',

        soap_action => 'urn:getServices',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw(  )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub getStatusEvents {

    my ($self, $body, $header) = @_;

    die "getStatusEvents must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'getStatusEvents',

        soap_action => 'urn:getStatusEvents',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw(  )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub addServices {

    my ($self, $body, $header) = @_;

    die "addServices must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'addServices',

        soap_action => 'urn:addServices',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::addServices )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}





sub updateCIs {

    my ($self, $body, $header) = @_;

    die "updateCIs must be called as object method (\$self is <$self>)" if not blessed($self);

    return $self->SUPER::call({

        operation => 'updateCIs',

        soap_action => 'urn:updateCIs',

        style => 'document',

        body => {

            



           'use'            => 'literal',

            namespace       => 'http://schemas.xmlsoap.org/wsdl/soap/',

            encodingStyle   => '',

            parts           =>  [qw( MyElements::updateCIs )],

        },

        header => {

            

        },

        headerfault => {

            

        }

    }, $body, $header);

}









1;







__END__



=pod



=head1 NAME



MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint - SOAP Interface for the GenericConnectorService Web Service



=head1 SYNOPSIS



 use MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint;

 my $interface = MyInterfaces::GenericConnectorService::GenericConnectorServiceHttpSoap11Endpoint->new();



 my $response;

 $response = $interface->addEvents();

 $response = $interface->getServiceRelationships();

 $response = $interface->getCIEvents();

 $response = $interface->addServiceRelationships();

 $response = $interface->getServiceCIs();

 $response = $interface->addCIs();

 $response = $interface->addServiceCIs();

 $response = $interface->deleteCIs();

 $response = $interface->getServices();

 $response = $interface->getStatusEvents();

 $response = $interface->addServices();

 $response = $interface->updateCIs();







=head1 DESCRIPTION



SOAP Interface for the GenericConnectorService web service

located at http://ssa-ken-r2-en01:7090/axis2/services/GenericConnectorService.GenericConnectorServiceHttpSoap11Endpoint/.



=head1 SERVICE GenericConnectorService







=head2 Port GenericConnectorServiceHttpSoap11Endpoint







=head1 METHODS



=head2 General methods



=head3 new



Constructor.



All arguments are forwarded to L<SOAP::WSDL::Client|SOAP::WSDL::Client>.



=head2 SOAP Service methods



Method synopsis is displayed with hash refs as parameters.



The commented class names in the method's parameters denote that objects

of the corresponding class can be passed instead of the marked hash ref.



You may pass any combination of objects, hash and list refs to these

methods, as long as you meet the structure.



List items (i.e. multiple occurences) are not displayed in the synopsis.

You may generally pass a list ref of hash refs (or objects) instead of a hash

ref - this may result in invalid XML if used improperly, though. Note that

SOAP::WSDL always expects list references at maximum depth position.



XML attributes are not displayed in this synopsis and cannot be set using

hash refs. See the respective class' documentation for additional information.







=head3 addEvents







Returns a L<MyElements::addEventsResponse|MyElements::addEventsResponse> object.



 $response = $interface->addEvents( {

    statusEvents =>  { # MyTypes::StatusEvent

      cireverseURL =>  $some_value, # string

      className =>  $some_value, # string

      connectorName =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventDetail =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

      reportTime =>  $some_value, # string

      severity =>  $some_value, # string

      siloAlarmID =>  $some_value, # string

      siloName =>  $some_value, # string

      situationCategory =>  $some_value, # string

      situationMessage =>  $some_value, # string

      situationType =>  $some_value, # string

      userAttribute1 =>  $some_value, # string

      userAttribute2 =>  $some_value, # string

      userAttribute3 =>  $some_value, # string

      userAttribute4 =>  $some_value, # string

      userAttribute5 =>  $some_value, # string

    },

  },,

 );



=head3 getServiceRelationships







Returns a L<MyElements::getServiceRelationshipsResponse|MyElements::getServiceRelationshipsResponse> object.



 $response = $interface->getServiceRelationships( );



=head3 getCIEvents







Returns a L<MyElements::getCIEventsResponse|MyElements::getCIEventsResponse> object.



 $response = $interface->getCIEvents( );



=head3 addServiceRelationships







Returns a L<MyElements::addServiceRelationshipsResponse|MyElements::addServiceRelationshipsResponse> object.



 $response = $interface->addServiceRelationships( {

    relationships =>  { # MyTypes::Relationship

      anodeCI =>  $some_value, # string

      associationType =>  $some_value, # string

      bnodeCI =>  $some_value, # string

      className =>  $some_value, # string

      connectorName =>  $some_value, # string

      serviceCI =>  $some_value, # string

      siloName =>  $some_value, # string

    },

  },,

 );



=head3 getServiceCIs







Returns a L<MyElements::getServiceCIsResponse|MyElements::getServiceCIsResponse> object.



 $response = $interface->getServiceCIs( );



=head3 addCIs







Returns a L<MyElements::addCIsResponse|MyElements::addCIsResponse> object.



 $response = $interface->addCIs( {

    ciAdds =>  { # MyTypes::CIEvent

      ciProperties =>  { # MyTypes::CIProperty

        name =>  $some_value, # string

        value =>  $some_value, # string

      },

      className =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

    },

  },,

 );



=head3 addServiceCIs







Returns a L<MyElements::addServiceCIsResponse|MyElements::addServiceCIsResponse> object.



 $response = $interface->addServiceCIs( {

    cis =>  { # MyTypes::CIEvent

      ciProperties =>  { # MyTypes::CIProperty

        name =>  $some_value, # string

        value =>  $some_value, # string

      },

      className =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

    },

  },,

 );



=head3 deleteCIs







Returns a L<MyElements::deleteCIsResponse|MyElements::deleteCIsResponse> object.



 $response = $interface->deleteCIs( {

    ciDeletes =>  { # MyTypes::CIEvent

      ciProperties =>  { # MyTypes::CIProperty

        name =>  $some_value, # string

        value =>  $some_value, # string

      },

      className =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

    },

  },,

 );



=head3 getServices







Returns a L<MyElements::getServicesResponse|MyElements::getServicesResponse> object.



 $response = $interface->getServices( );



=head3 getStatusEvents







Returns a L<MyElements::getStatusEventsResponse|MyElements::getStatusEventsResponse> object.



 $response = $interface->getStatusEvents( );



=head3 addServices







Returns a L<MyElements::addServicesResponse|MyElements::addServicesResponse> object.



 $response = $interface->addServices( {

    services =>  { # MyTypes::Service

      ciProperties =>  { # MyTypes::CIProperty

        name =>  $some_value, # string

        value =>  $some_value, # string

      },

      cis =>  { # MyTypes::CIEvent

        ciProperties =>  { # MyTypes::CIProperty

          name =>  $some_value, # string

          value =>  $some_value, # string

        },

        className =>  $some_value, # string

        deviceID =>  $some_value, # string

        eventtype =>  $some_value, # string

        instanceID =>  $some_value, # string

      },

      className =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

      relationships =>  { # MyTypes::Relationship

        anodeCI =>  $some_value, # string

        associationType =>  $some_value, # string

        bnodeCI =>  $some_value, # string

        className =>  $some_value, # string

        connectorName =>  $some_value, # string

        serviceCI =>  $some_value, # string

        siloName =>  $some_value, # string

      },

    },

  },,

 );



=head3 updateCIs







Returns a L<MyElements::updateCIsResponse|MyElements::updateCIsResponse> object.



 $response = $interface->updateCIs( {

    ciUpdates =>  { # MyTypes::CIEvent

      ciProperties =>  { # MyTypes::CIProperty

        name =>  $some_value, # string

        value =>  $some_value, # string

      },

      className =>  $some_value, # string

      deviceID =>  $some_value, # string

      eventtype =>  $some_value, # string

      instanceID =>  $some_value, # string

    },

  },,

 );







=head1 AUTHOR



Generated by SOAP::WSDL on Mon Feb  4 15:43:39 2013



=cut

